from sqlalchemy import (
    Column,
    Index,
    String,
    Text,
)

from .meta import Base


class PageModel(Base):
    __tablename__ = 'pages'
    url = Column(String(2000), primary_key=True)
    title = Column(Text)


Index('page_index', PageModel.url, unique=True, mysql_length=255)
